curl --request POST \ --url https://api.trieve.ai/api/message/get_tool_function_params \ --header 'Authorization: <api-key>' \ --header 'Content-Type: application/json' \ --header 'TR-Dataset: <tr-dataset>' \ --data '{ "image_url": "https://example.com/jacket.jpg", "tool_function": { "description": "Decide on which filters to apply to available catalog being used within the knowledge base to respond. Always get filters.", "name": "get_filters", "parameters": [ { "description": "Whether or not the user is looking for jackets.", "name": "jackets", "parameter_type": "boolean" }, { "description": "Whether or not the user is looking for shirts.", "name": "shirts", "parameter_type": "boolean" } ] }, "user_message_text": "Get filters for the following message: \n\nI am looking for a jacket."}'
import requests
url = "https://api.trieve.ai/api/message/get_tool_function_params"
payload = {
"image_url": "https://example.com/jacket.jpg",
"tool_function": {
"description": "Decide on which filters to apply to available catalog being used within the knowledge base to respond. Always get filters.",
"name": "get_filters",
"parameters": [
{
"description": "Whether or not the user is looking for jackets.",
"name": "jackets",
"parameter_type": "boolean"
},
{
"description": "Whether or not the user is looking for shirts.",
"name": "shirts",
"parameter_type": "boolean"
}
]
},
"user_message_text": "Get filters for the following message:
I am looking for a jacket."
}
headers = {
"TR-Dataset": "<tr-dataset>",
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {
'TR-Dataset': '<tr-dataset>',
Authorization: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
image_url: 'https://example.com/jacket.jpg',
tool_function: {
description: 'Decide on which filters to apply to available catalog being used within the knowledge base to respond. Always get filters.',
name: 'get_filters',
parameters: [
{
description: 'Whether or not the user is looking for jackets.',
name: 'jackets',
parameter_type: 'boolean'
},
{
description: 'Whether or not the user is looking for shirts.',
name: 'shirts',
parameter_type: 'boolean'
}
]
},
user_message_text: 'Get filters for the following message: \n\nI am looking for a jacket.'
})
};
fetch('https://api.trieve.ai/api/message/get_tool_function_params', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.trieve.ai/api/message/get_tool_function_params",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'image_url' => 'https://example.com/jacket.jpg',
'tool_function' => [
'description' => 'Decide on which filters to apply to available catalog being used within the knowledge base to respond. Always get filters.',
'name' => 'get_filters',
'parameters' => [
[
'description' => 'Whether or not the user is looking for jackets.',
'name' => 'jackets',
'parameter_type' => 'boolean'
],
[
'description' => 'Whether or not the user is looking for shirts.',
'name' => 'shirts',
'parameter_type' => 'boolean'
]
]
],
'user_message_text' => 'Get filters for the following message:
I am looking for a jacket.'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json",
"TR-Dataset: <tr-dataset>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.trieve.ai/api/message/get_tool_function_params"
payload := strings.NewReader("{\n \"image_url\": \"https://example.com/jacket.jpg\",\n \"tool_function\": {\n \"description\": \"Decide on which filters to apply to available catalog being used within the knowledge base to respond. Always get filters.\",\n \"name\": \"get_filters\",\n \"parameters\": [\n {\n \"description\": \"Whether or not the user is looking for jackets.\",\n \"name\": \"jackets\",\n \"parameter_type\": \"boolean\"\n },\n {\n \"description\": \"Whether or not the user is looking for shirts.\",\n \"name\": \"shirts\",\n \"parameter_type\": \"boolean\"\n }\n ]\n },\n \"user_message_text\": \"Get filters for the following message: \\n\\nI am looking for a jacket.\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("TR-Dataset", "<tr-dataset>")
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://api.trieve.ai/api/message/get_tool_function_params")
.header("TR-Dataset", "<tr-dataset>")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"image_url\": \"https://example.com/jacket.jpg\",\n \"tool_function\": {\n \"description\": \"Decide on which filters to apply to available catalog being used within the knowledge base to respond. Always get filters.\",\n \"name\": \"get_filters\",\n \"parameters\": [\n {\n \"description\": \"Whether or not the user is looking for jackets.\",\n \"name\": \"jackets\",\n \"parameter_type\": \"boolean\"\n },\n {\n \"description\": \"Whether or not the user is looking for shirts.\",\n \"name\": \"shirts\",\n \"parameter_type\": \"boolean\"\n }\n ]\n },\n \"user_message_text\": \"Get filters for the following message: \\n\\nI am looking for a jacket.\"\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://api.trieve.ai/api/message/get_tool_function_params")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["TR-Dataset"] = '<tr-dataset>'
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"image_url\": \"https://example.com/jacket.jpg\",\n \"tool_function\": {\n \"description\": \"Decide on which filters to apply to available catalog being used within the knowledge base to respond. Always get filters.\",\n \"name\": \"get_filters\",\n \"parameters\": [\n {\n \"description\": \"Whether or not the user is looking for jackets.\",\n \"name\": \"jackets\",\n \"parameter_type\": \"boolean\"\n },\n {\n \"description\": \"Whether or not the user is looking for shirts.\",\n \"name\": \"shirts\",\n \"parameter_type\": \"boolean\"\n }\n ]\n },\n \"user_message_text\": \"Get filters for the following message: \\n\\nI am looking for a jacket.\"\n}"
response = http.request(request)
puts response.read_body
This endpoint will generate the parameters for a tool function based on the user’s message and image URL provided in the request body. The response will include the parameters for the tool function as a JSON object.
POST
/
api
/
message
/
get_tool_function_params
Get tool function parameters
curl --request POST \ --url https://api.trieve.ai/api/message/get_tool_function_params \ --header 'Authorization: <api-key>' \ --header 'Content-Type: application/json' \ --header 'TR-Dataset: <tr-dataset>' \ --data '{ "image_url": "https://example.com/jacket.jpg", "tool_function": { "description": "Decide on which filters to apply to available catalog being used within the knowledge base to respond. Always get filters.", "name": "get_filters", "parameters": [ { "description": "Whether or not the user is looking for jackets.", "name": "jackets", "parameter_type": "boolean" }, { "description": "Whether or not the user is looking for shirts.", "name": "shirts", "parameter_type": "boolean" } ] }, "user_message_text": "Get filters for the following message: \n\nI am looking for a jacket."}'
import requests
url = "https://api.trieve.ai/api/message/get_tool_function_params"
payload = {
"image_url": "https://example.com/jacket.jpg",
"tool_function": {
"description": "Decide on which filters to apply to available catalog being used within the knowledge base to respond. Always get filters.",
"name": "get_filters",
"parameters": [
{
"description": "Whether or not the user is looking for jackets.",
"name": "jackets",
"parameter_type": "boolean"
},
{
"description": "Whether or not the user is looking for shirts.",
"name": "shirts",
"parameter_type": "boolean"
}
]
},
"user_message_text": "Get filters for the following message:
I am looking for a jacket."
}
headers = {
"TR-Dataset": "<tr-dataset>",
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {
'TR-Dataset': '<tr-dataset>',
Authorization: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
image_url: 'https://example.com/jacket.jpg',
tool_function: {
description: 'Decide on which filters to apply to available catalog being used within the knowledge base to respond. Always get filters.',
name: 'get_filters',
parameters: [
{
description: 'Whether or not the user is looking for jackets.',
name: 'jackets',
parameter_type: 'boolean'
},
{
description: 'Whether or not the user is looking for shirts.',
name: 'shirts',
parameter_type: 'boolean'
}
]
},
user_message_text: 'Get filters for the following message: \n\nI am looking for a jacket.'
})
};
fetch('https://api.trieve.ai/api/message/get_tool_function_params', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.trieve.ai/api/message/get_tool_function_params",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'image_url' => 'https://example.com/jacket.jpg',
'tool_function' => [
'description' => 'Decide on which filters to apply to available catalog being used within the knowledge base to respond. Always get filters.',
'name' => 'get_filters',
'parameters' => [
[
'description' => 'Whether or not the user is looking for jackets.',
'name' => 'jackets',
'parameter_type' => 'boolean'
],
[
'description' => 'Whether or not the user is looking for shirts.',
'name' => 'shirts',
'parameter_type' => 'boolean'
]
]
],
'user_message_text' => 'Get filters for the following message:
I am looking for a jacket.'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json",
"TR-Dataset: <tr-dataset>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.trieve.ai/api/message/get_tool_function_params"
payload := strings.NewReader("{\n \"image_url\": \"https://example.com/jacket.jpg\",\n \"tool_function\": {\n \"description\": \"Decide on which filters to apply to available catalog being used within the knowledge base to respond. Always get filters.\",\n \"name\": \"get_filters\",\n \"parameters\": [\n {\n \"description\": \"Whether or not the user is looking for jackets.\",\n \"name\": \"jackets\",\n \"parameter_type\": \"boolean\"\n },\n {\n \"description\": \"Whether or not the user is looking for shirts.\",\n \"name\": \"shirts\",\n \"parameter_type\": \"boolean\"\n }\n ]\n },\n \"user_message_text\": \"Get filters for the following message: \\n\\nI am looking for a jacket.\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("TR-Dataset", "<tr-dataset>")
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://api.trieve.ai/api/message/get_tool_function_params")
.header("TR-Dataset", "<tr-dataset>")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"image_url\": \"https://example.com/jacket.jpg\",\n \"tool_function\": {\n \"description\": \"Decide on which filters to apply to available catalog being used within the knowledge base to respond. Always get filters.\",\n \"name\": \"get_filters\",\n \"parameters\": [\n {\n \"description\": \"Whether or not the user is looking for jackets.\",\n \"name\": \"jackets\",\n \"parameter_type\": \"boolean\"\n },\n {\n \"description\": \"Whether or not the user is looking for shirts.\",\n \"name\": \"shirts\",\n \"parameter_type\": \"boolean\"\n }\n ]\n },\n \"user_message_text\": \"Get filters for the following message: \\n\\nI am looking for a jacket.\"\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://api.trieve.ai/api/message/get_tool_function_params")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["TR-Dataset"] = '<tr-dataset>'
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"image_url\": \"https://example.com/jacket.jpg\",\n \"tool_function\": {\n \"description\": \"Decide on which filters to apply to available catalog being used within the knowledge base to respond. Always get filters.\",\n \"name\": \"get_filters\",\n \"parameters\": [\n {\n \"description\": \"Whether or not the user is looking for jackets.\",\n \"name\": \"jackets\",\n \"parameter_type\": \"boolean\"\n },\n {\n \"description\": \"Whether or not the user is looking for shirts.\",\n \"name\": \"shirts\",\n \"parameter_type\": \"boolean\"\n }\n ]\n },\n \"user_message_text\": \"Get filters for the following message: \\n\\nI am looking for a jacket.\"\n}"
response = http.request(request)
puts response.read_body
{ "description": "Decide on which filters to apply to available catalog being used within the knowledge base to respond. Always get filters.", "name": "get_filters", "parameters": [ { "description": "Whether or not the user is looking for jackets.", "name": "jackets", "parameter_type": "boolean" }, { "description": "Whether or not the user is looking for shirts.", "name": "shirts", "parameter_type": "boolean" } ] }
{"docsConfig":{"$schema":"https://mintlify.com/docs.json","theme":"mint","name":"Trieve","colors":{"primary":"#a33eb5","light":"#a33eb5","dark":"#a33eb5"},"favicon":"/icons/android-chrome-512x512-new.png","logo":{"light":"https://mintlify.s3.us-west-1.amazonaws.com/trieve/icons/trieve-logo.png","dark":"https://mintlify.s3.us-west-1.amazonaws.com/trieve/icons/trieve-logo.png","href":"https://trieve.ai"},"api":{"openapi":"https://beta-api.trieve.ai/api-docs/openapi.json"},"navbar":{"links":[{"label":"Support","href":"mailto:humans@trieve.ai"},{"label":"Dashboard","href":"https://dashboard.trieve.ai"}],"primary":{"type":"github","href":"https://github.com/devflowinc/trieve"}},"footer":{"socials":{"x":"https://x.com/trieveai","discord":"https://discord.gg/eBJXXZDB8z","github":"https://github.com/devflowinc","linkedin":"https://www.linkedin.com/company/trieveai","website":"https://trieve.ai"}},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"TypeScript SDK","href":"https://ts-sdk.trieve.ai","icon":"js"},{"anchor":"Github","href":"https://github.com/devflowinc/trieve","icon":"github"},{"anchor":"Community","href":"https://discord.com/invite/E9sPRZqpDT","icon":"users"},{"anchor":"Blog","href":"https://trieve.ai/blog","icon":"newspaper"},{"anchor":"System Status","href":"https://status.trieve.ai","icon":"satellite-dish"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"trieve","hasAudioNarration":false,"actualSubdomain":"trieve","customDomains":["docs.trieve.ai"],"gitSource":{"type":"github","owner":"devflowinc","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a21f60f74bd683e723c3ad0","collectionId":"94bd8055-ab4f-4535-9548-a3032b69bedc","schemaVersion":"v2"},"feedback":{"issues":true,"thumbs":true},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6ae290ee419382350a86cdb0:success","clientVersion":"0.0.4043","searchFilterCounts":[{"language":"default","tag":"API Reference","count":139},{"language":"default","tag":"Documentation","count":23},{"language":"default","tag":"Chunk","count":18},{"language":"default","tag":"Dataset","count":18},{"language":"default","tag":"Chunk Group","count":17},{"language":"default","tag":"Guides","count":17},{"language":"default","tag":"Vector Inference","count":16},{"language":"default","tag":"Analytics","count":14},{"language":"default","tag":"Get Started","count":11},{"language":"default","tag":"File","count":10}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"img{border-radius:.25rem}.prose :where(img):not(:where([class~=not-prose],[class~=not-prose] *)){margin-top:.25rem}"}],"page":{"pagePath":"api-reference/message/get-tool-function-parameters","slug":"/api-reference/message/get-tool-function-parameters","pageMetadata":{"openapi":"post /api/message/get_tool_function_params","title":"Get tool function parameters","description":"This endpoint will generate the parameters for a tool function based on the user's message and image URL provided in the request body. The response will include the parameters for the tool function as a JSON object.","href":"/api-reference/message/get-tool-function-parameters","hidden":false},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"This endpoint will generate the parameters for a tool function based on the user’s message and image URL provided in the request body. The response will include the parameters for the tool function as a JSON object.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"post /api/message/get_tool_function_params","title":"Get tool function parameters","description":"This endpoint will generate the parameters for a tool function based on the user's message and image URL provided in the request body. The response will include the parameters for the tool function as a JSON object.","href":"/api-reference/message/get-tool-function-parameters","hidden":false}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Message"],"summary":"Get tool function parameters","description":"This endpoint will generate the parameters for a tool function based on the user's message and image URL provided in the request body. The response will include the parameters for the tool function as a JSON object.","operationId":"get_tool_function_params","parameters":["393f9090-9579-4cde-9d02-0744da2a64f8"],"requestBody":"a983873f-aea5-4343-9753-00ffb65028f8","responses":{"200":"87366c9c-a699-4d14-a056-4510643664ae","400":"cf298ad2-02fc-4858-b906-b69c68f22e54"},"security":["7bdb31ca-8bb4-40b5-a3f2-c990c7a37c95"],"method":"post","type":"path","servers":["2f9b8af5-1d01-4863-b9c9-46a5af77efd6","f8cd735f-4869-4d97-9c1c-3f5db410bca0"],"path":"/api/message/get_tool_function_params","baseUrlOptions":["https://api.trieve.ai","http://localhost:8090"],"title":"Get tool function parameters","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"393f9090-9579-4cde-9d02-0744da2a64f8":{"name":"TR-Dataset","in":"header","description":"The dataset id or tracking_id to use for the request. We assume you intend to use an id if the value is a valid uuid.","required":true,"schema":{"type":"string","format":"uuid","isRequired":true,"description":"The dataset id or tracking_id to use for the request. We assume you intend to use an id if the value is a valid uuid.","uniqueKey":"","typeLabel":"string\u003cuuid>"}}},"requestBody":{"description":"JSON request payload to get the parameters for a tool function","content":{"application/json":{"schema":{"type":"object","description":"Request payload for getting the parameters of a tool function","required":["tool_function"],"properties":{"tool_function":{"type":"object","description":"Function for a LLM tool call","required":["name","description","parameters"],"properties":{"description":{"type":"string","description":"Description of the function.","isRequired":true,"uniqueKey":"tool_function.description","typeLabel":"string"},"name":{"type":"string","description":"Name of the function.","isRequired":true,"uniqueKey":"tool_function.name","typeLabel":"string"},"parameters":{"type":"array","items":{"type":"object","description":"Function parameter for a LLM tool call","required":["name","parameter_type","description"],"properties":{"description":{"type":"string","description":"The description of the tag.","isRequired":true,"uniqueKey":"tool_function.parameters.items.[INDEX].description","typeLabel":"string"},"name":{"type":"string","description":"Name of the parameter.","isRequired":true,"uniqueKey":"tool_function.parameters.items.[INDEX].name","typeLabel":"string"},"parameter_type":{"type":"string","description":"Type of a given parameter for a LLM tool call","enum":["number","boolean"],"isRequired":true,"uniqueKey":"tool_function.parameters.items.[INDEX].parameter_type","typeLabel":"enum\u003cstring>"}},"example":{"description":"Whether or not the user is looking for jackets.","name":"jackets","parameter_type":"boolean"},"uniqueKey":"tool_function.parameters.items.[INDEX]","typeLabel":"object"},"description":"Parameters of the function.","isRequired":true,"uniqueKey":"tool_function.parameters","typeLabel":"object[]"}},"example":{"description":"Decide on which filters to apply to available catalog being used within the knowledge base to respond. Always get filters.","name":"get_filters","parameters":[{"description":"Whether or not the user is looking for jackets.","name":"jackets","parameter_type":"boolean"},{"description":"Whether or not the user is looking for shirts.","name":"shirts","parameter_type":"boolean"}]},"isRequired":true,"uniqueKey":"tool_function","typeLabel":"object"},"audio_input":{"oneOf":[{"type":"string","description":"The base64 encoded audio input of the user message to attach to the topic and then generate an assistant message in response to.","uniqueKey":"audio_input.oneOf.0","typeLabel":"string"},{"type":"null","description":"The base64 encoded audio input of the user message to attach to the topic and then generate an assistant message in response to.","uniqueKey":"audio_input.oneOf.1","typeLabel":"null"}],"uniqueKey":"audio_input","typeLabel":"string | null"},"image_url":{"oneOf":[{"type":"string","description":"Image URL to attach to the message to generate the parameters for the tool function.","deprecated":true,"uniqueKey":"image_url.oneOf.0","typeLabel":"string"},{"type":"null","description":"Image URL to attach to the message to generate the parameters for the tool function.","deprecated":true,"uniqueKey":"image_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"image_url","typeLabel":"string | null"},"image_urls":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"image_urls.oneOf.0.items.[INDEX]","typeLabel":"string"},"description":"Image URLs to attach to the message to generate the parameters for the tool function.","uniqueKey":"image_urls.oneOf.0","typeLabel":"string[]"},{"type":"null","items":{"type":"string"},"description":"Image URLs to attach to the message to generate the parameters for the tool function.","uniqueKey":"image_urls.oneOf.1","typeLabel":"null"}],"uniqueKey":"image_urls","typeLabel":"string[] | null"},"model":{"oneOf":[{"type":"string","description":"Model name to use for the completion. If not specified, this defaults to the dataset's model.","uniqueKey":"model.oneOf.0","typeLabel":"string"},{"type":"null","description":"Model name to use for the completion. If not specified, this defaults to the dataset's model.","uniqueKey":"model.oneOf.1","typeLabel":"null"}],"uniqueKey":"model","typeLabel":"string | null"},"temperature":{"oneOf":[{"type":"number","format":"double","description":"Temperature to use for the completion. If not specified, this defaults to the dataset's temperature.","uniqueKey":"temperature.oneOf.0","typeLabel":"number\u003cdouble>"},{"type":"null","format":"double","description":"Temperature to use for the completion. If not specified, this defaults to the dataset's temperature.","uniqueKey":"temperature.oneOf.1","typeLabel":"null"}],"uniqueKey":"temperature","typeLabel":"number\u003cdouble> | null"},"user_message_text":{"oneOf":[{"type":"string","description":"Text of the user's message to the assistant which will be used to generate the parameters for the tool function.","uniqueKey":"user_message_text.oneOf.0","typeLabel":"string"},{"type":"null","description":"Text of the user's message to the assistant which will be used to generate the parameters for the tool function.","uniqueKey":"user_message_text.oneOf.1","typeLabel":"null"}],"uniqueKey":"user_message_text","typeLabel":"string | null"}},"example":{"image_url":"https://example.com/jacket.jpg","tool_function":{"description":"Decide on which filters to apply to available catalog being used within the knowledge base to respond. Always get filters.","name":"get_filters","parameters":[{"description":"Whether or not the user is looking for jackets.","name":"jackets","parameter_type":"boolean"},{"description":"Whether or not the user is looking for shirts.","name":"shirts","parameter_type":"boolean"}]},"user_message_text":"Get filters for the following message: \n\nI am looking for a jacket."},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"image_url":"https://example.com/jacket.jpg","tool_function":{"description":"Decide on which filters to apply to available catalog being used within the knowledge base to respond. Always get filters.","name":"get_filters","parameters":[{"description":"Whether or not the user is looking for jackets.","name":"jackets","parameter_type":"boolean"},{"description":"Whether or not the user is looking for shirts.","name":"shirts","parameter_type":"boolean"}]},"user_message_text":"Get filters for the following message: \n\nI am looking for a jacket."}}},"exampleType":"generated"}},"required":true,"exampleType":"generated"},"responses":{"87366c9c-a699-4d14-a056-4510643664ae":{"description":"A JSON object containing the parameters for the tool function","content":{"application/json":{"schema":{"type":"object","description":"Response body for getting the parameters of a tool function","properties":{"parameters":{"oneOf":[{"description":"Parameters for the tool function.","uniqueKey":"parameters.oneOf.0","typeLabel":"any"},{"description":"Parameters for the tool function.","type":"null","uniqueKey":"parameters.oneOf.1","typeLabel":"null"}],"uniqueKey":"parameters","typeLabel":"any | null"}},"example":{"parameters":{"jackets":true,"shirts":false}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"parameters":{"jackets":true,"shirts":false}}}},"exampleType":"generated"}},"exampleType":"generated"},"cf298ad2-02fc-4858-b906-b69c68f22e54":{"description":"Service error relating to to updating chunk, likely due to conflicting tracking_id","content":{"application/json":{"schema":{"type":"object","required":["message"],"properties":{"message":{"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"example":{"message":"Bad Request"},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"message":"Bad Request"}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"7bdb31ca-8bb4-40b5-a3f2-c990c7a37c95":{"ApiKey":{"type":"apiKey","in":"header","name":"Authorization","scopes":["admin"]}}},"servers":{"2f9b8af5-1d01-4863-b9c9-46a5af77efd6":{"url":"https://api.trieve.ai","description":"Production server"},"f8cd735f-4869-4d97-9c1c-3f5db410bca0":{"url":"http://localhost:8090","description":"Local development server"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"Authorization","scopes":["admin"]},"schema":{"title":"Authorization","type":"string","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"ApiKey","name":"Authorization"}],"title":"ApiKey"}]},"originalFileLocation":"https://beta-api.trieve.ai/api-docs/openapi.json"},"subdomain":"trieve","siteName":"Trieve","title":"Get tool function parameters - Trieve","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"originalFileLocation":"api-reference/message/get-tool-function-parameters.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"This endpoint will generate the parameters for a tool function based on the user\u0026#x27;s message and image URL provided in the request body. The response will include the parameters for the tool function as a JSON object.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Trieve\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/trieve/UgHWr4L5TQhL9HIO/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/trieve/UgHWr4L5TQhL9HIO/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/trieve/UgHWr4L5TQhL9HIO/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/trieve/UgHWr4L5TQhL9HIO/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/trieve/UgHWr4L5TQhL9HIO/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/trieve/UgHWr4L5TQhL9HIO/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/trieve/UgHWr4L5TQhL9HIO/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/trieve/UgHWr4L5TQhL9HIO/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/trieve/UgHWr4L5TQhL9HIO/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Get tool function parameters - Trieve\">\u003cmeta data-mint-head property=\"og:description\" content=\"This endpoint will generate the parameters for a tool function based on the user\u0026#x27;s message and image URL provided in the request body. The response will include the parameters for the tool function as a JSON object.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Trieve\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.trieve.ai/api-reference/message/get-tool-function-parameters\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://trieve.mintlify.app/_mintlify/api/og/v2?division=Message\u0026amp;title=Get+tool+function+parameters\u0026amp;description=This+endpoint+will+generate+the+parameters+for+a+tool+function+based+on+the+user%27s+message+and+image+URL+provided+in+the+request+body.+The+response+will+include\u0026amp;theme=5f46ca17884f21421b93e352\u0026amp;signature=3a9027d7f362654ccb44207bf570e09c28e58576e894650fbc0046904bfe1c67\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Get tool function parameters - Trieve\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"This endpoint will generate the parameters for a tool function based on the user\u0026#x27;s message and image URL provided in the request body. The response will include the parameters for the tool function as a JSON object.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://trieve.mintlify.app/_mintlify/api/og/v2?division=Message\u0026amp;title=Get+tool+function+parameters\u0026amp;description=This+endpoint+will+generate+the+parameters+for+a+tool+function+based+on+the+user%27s+message+and+image+URL+provided+in+the+request+body.+The+response+will+include\u0026amp;theme=5f46ca17884f21421b93e352\u0026amp;signature=3a9027d7f362654ccb44207bf570e09c28e58576e894650fbc0046904bfe1c67\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/trieve/UgHWr4L5TQhL9HIO/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Trieve\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#a33eb5\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.trieve.ai/api-reference/message/get-tool-function-parameters\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/message/get-tool-function-parameters.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.trieve.ai/#organization\",\"name\":\"Trieve\",\"url\":\"https://docs.trieve.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintlify.s3.us-west-1.amazonaws.com/trieve/icons/trieve-logo.png\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.trieve.ai#website\",\"name\":\"Trieve\",\"url\":\"https://docs.trieve.ai\",\"publisher\":{\"@id\":\"https://docs.trieve.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.trieve.ai/api-reference/message/get-tool-function-parameters#webpage\",\"url\":\"https://docs.trieve.ai/api-reference/message/get-tool-function-parameters\",\"name\":\"Get tool function parameters\",\"description\":\"This endpoint will generate the parameters for a tool function based on the user's message and image URL provided in the request body. The response will include the parameters for the tool function as a JSON object.\",\"isPartOf\":{\"@id\":\"https://docs.trieve.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.trieve.ai/api-reference/message/get-tool-function-parameters#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.trieve.ai/api-reference/message/get-tool-function-parameters#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Message\",\"item\":\"https://docs.trieve.ai/api-reference/message/create-message\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Get tool function parameters\",\"item\":\"https://docs.trieve.ai/api-reference/message/get-tool-function-parameters\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.trieve.ai/api-reference/message/get-tool-function-parameters#apireference\",\"headline\":\"Get tool function parameters\",\"name\":\"Get tool function parameters\",\"description\":\"This endpoint will generate the parameters for a tool function based on the user's message and image URL provided in the request body. The response will include the parameters for the tool function as a JSON object.\",\"url\":\"https://docs.trieve.ai/api-reference/message/get-tool-function-parameters\",\"mainEntityOfPage\":{\"@id\":\"https://docs.trieve.ai/api-reference/message/get-tool-function-parameters#webpage\"},\"publisher\":{\"@id\":\"https://docs.trieve.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.trieve.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Trieve\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Trieve","nav":{"global":{"anchors":[{"anchor":"TypeScript SDK","href":"https://ts-sdk.trieve.ai","icon":"js"},{"anchor":"Github","href":"https://github.com/devflowinc/trieve","icon":"github"},{"anchor":"Community","href":"https://discord.com/invite/E9sPRZqpDT","icon":"users"},{"anchor":"Blog","href":"https://trieve.ai/blog","icon":"newspaper"},{"anchor":"System Status","href":"https://status.trieve.ai","icon":"satellite-dish"}]},"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/getting-started/introduction"}]},{"tab":"API Reference","groups":[{"group":"Chunk","pages":[{"openapi":"post /api/chunk","title":"Create or Upsert Chunk or Chunks","href":"/api-reference/chunk/create-or-upsert-chunk-or-chunks"},{"openapi":"post /api/chunk/search","title":"Search","href":"/api-reference/chunk/search"},{"openapi":"post /api/chunk/autocomplete","title":"Autocomplete","href":"/api-reference/chunk/autocomplete"},{"openapi":"post /api/chunk/recommend","title":"Get Recommended Chunks","href":"/api-reference/chunk/get-recommended-chunks"},{"openapi":"post /api/chunks/scroll","title":"Scroll Chunks","href":"/api-reference/chunk/scroll-chunks"},{"openapi":"post /api/chunk/count","title":"Count chunks above threshold","href":"/api-reference/chunk/count-chunks-above-threshold"},{"openapi":"post /api/chunk/suggestions","title":"Generate suggested queries","href":"/api-reference/chunk/generate-suggested-queries"},{"openapi":"post /api/chunk/generate","title":"RAG on Specified Chunks","href":"/api-reference/chunk/rag-on-specified-chunks"},{"openapi":"put /api/chunk","title":"Update Chunk","href":"/api-reference/chunk/update-chunk"},{"openapi":"put /api/chunk/tracking_id/update","title":"Update Chunk By Tracking Id","href":"/api-reference/chunk/update-chunk-by-tracking-id"},{"openapi":"get /api/chunk/{chunk_id}","title":"Get Chunk By Id","href":"/api-reference/chunk/get-chunk-by-id"},{"openapi":"get /api/chunk/tracking_id/{tracking_id}","title":"Get Chunk By Tracking Id","href":"/api-reference/chunk/get-chunk-by-tracking-id"},{"openapi":"post /api/chunks/tracking","title":"Get Chunks By Tracking Ids","href":"/api-reference/chunk/get-chunks-by-tracking-ids"},{"openapi":"post /api/chunks","title":"Get Chunks By Ids","href":"/api-reference/chunk/get-chunks-by-ids"},{"openapi":"delete /api/chunk/{chunk_id}","title":"Delete Chunk","href":"/api-reference/chunk/delete-chunk"},{"openapi":"delete /api/chunk/tracking_id/{tracking_id}","title":"Delete Chunk By Tracking Id","href":"/api-reference/chunk/delete-chunk-by-tracking-id"},{"openapi":"delete /api/chunk","title":"Bulk Delete Chunks","href":"/api-reference/chunk/bulk-delete-chunk"},{"openapi":"post /api/chunk/split","title":"Split HTML Content into Chunks","href":"/api-reference/chunk/split-html-content-into-chunks"}]},{"group":"Chunk Group","pages":[{"openapi":"post /api/chunk_group","title":"Create or Upsert Group or Groups","href":"/api-reference/chunk-group/create-or-upsert-group-or-groups"},{"openapi":"post /api/chunk_group/group_oriented_search","title":"Search Over Groups","href":"/api-reference/chunk-group/search-over-groups"},{"openapi":"post /api/chunk_group/group_oriented_autocomplete","title":"Autocomplete Search Over Groups","href":"/api-reference/chunk-group/autocomplete-search-over-groups"},{"openapi":"post /api/chunk_group/search","title":"Search Within Group","href":"/api-reference/chunk-group/search-within-group"},{"openapi":"post /api/chunk_group/recommend","title":"Get Recommended Groups","href":"/api-reference/chunk-group/get-recommended-groups"},{"openapi":"post /api/chunk_group/chunk/{group_id}","title":"Add Chunk to Group","href":"/api-reference/chunk-group/add-chunk-to-group"},{"openapi":"post /api/chunk_group/tracking_id/{tracking_id}","title":"Add Chunk to Group by Tracking ID","href":"/api-reference/chunk-group/add-chunk-to-group-by-tracking-id"},{"openapi":"post /api/chunk_group/chunks","title":"Get Groups for Chunks","href":"/api-reference/chunk-group/get-groups-for-chunks"},{"openapi":"get /api/chunk_group/tracking_id/{group_tracking_id}/{page}","title":"Get Chunks in Group by Tracking ID","href":"/api-reference/chunk-group/get-chunks-in-group-by-tracking-id"},{"openapi":"get /api/chunk_group/tracking_id/{tracking_id}","title":"Get Group by Tracking ID","href":"/api-reference/chunk-group/get-group-by-tracking-id"},{"openapi":"put /api/chunk_group","title":"Update Group","href":"/api-reference/chunk-group/update-group"},{"openapi":"delete /api/chunk_group/chunk/{group_id}","title":"Remove Chunk from Group","href":"/api-reference/chunk-group/remove-chunk-from-group"},{"openapi":"delete /api/chunk_group/tracking_id/{tracking_id}","title":"Delete Group by Tracking ID","href":"/api-reference/chunk-group/delete-group-by-tracking-id"},{"openapi":"delete /api/chunk_group/{group_id}","title":"Delete Group","href":"/api-reference/chunk-group/delete-group"},{"openapi":"get /api/chunk_group/{group_id}","title":"Get Group","href":"/api-reference/chunk-group/get-group"},{"openapi":"get /api/chunk_group/{group_id}/{page}","title":"Get Chunks in Group","href":"/api-reference/chunk-group/get-chunks-in-group"},{"openapi":"get /api/dataset/groups/{dataset_id}/{page}","title":"Get Groups for Dataset","href":"/api-reference/chunk-group/get-groups-for-dataset"}]},{"group":"Topic","pages":[{"openapi":"post /api/topic","title":"Create Topic","href":"/api-reference/topic/create-topic"},{"openapi":"post /api/topic/clone","title":"Clone Topic","href":"/api-reference/topic/clone-topic"},{"openapi":"put /api/topic","title":"Update Topic","href":"/api-reference/topic/update-topic"},{"openapi":"get /api/topic/owner/{owner_id}","title":"Get All Topics for Owner ID","href":"/api-reference/topic/get-all-topics-for-owner-id"},{"openapi":"delete /api/topic/{topic_id}","title":"Delete Topic","href":"/api-reference/topic/delete-topic"}]},{"group":"Message","pages":[{"openapi":"post /api/message","title":"Create message","href":"/api-reference/message/create-message"},{"openapi":"put /api/message","title":"Edit message","href":"/api-reference/message/edit-message"},{"openapi":"patch /api/message","title":"Regenerate message","description":"Regenerate the assistant response to the last user message of a topic. This will delete the last message and replace it with a new message. The response will include Chunks first on the stream if the topic is using RAG. The structure will look like `[chunks]||mesage`. See docs.trieve.ai for more information. Auth'ed user or api key must have an admin or owner role for the specified dataset's organization.","href":"/api-reference/message/regenerate-message-1"},{"openapi":"post /api/message/get_tool_function_params","title":"Get tool function parameters","href":"/api-reference/message/get-tool-function-parameters"},{"openapi":"get /api/message/{message_id}","title":"Get a message by its ID","description":"Quickly get the full object for a given message. From the message, you can get the topic and all messages which exist on that topic.","href":"/api-reference/message/get-a-message-by-its-id"},{"openapi":"get /api/messages/{messages_topic_id}","title":"Get all messages for a given topic","href":"/api-reference/message/get-all-messages-for-a-given-topic"},{"openapi":"post /api/message/edit_image","title":"Edit Image","href":"/api-reference/message/edit-image"},{"openapi":"post /api/message/generate_message_completions","title":"Generate Message Completions","href":"/api-reference/message/generate-message-completions"},{"openapi":"post /api/message/transcribe_audio","title":"Transcribe Audio","href":"/api-reference/message/transcribe-audio"}]},{"group":"Crawl","pages":[{"openapi":"get /api/crawl","title":"Get all crawl requests for a dataset","href":"/api-reference/crawl/get-all-crawl-requests-for-a-dataset"},{"openapi":"put /api/crawl","title":"Update a crawl request","href":"/api-reference/crawl/update-a-crawl-request"},{"openapi":"post /api/crawl","title":"Create a new crawl request","href":"/api-reference/crawl/create-a-new-crawl-request"},{"openapi":"delete /api/crawl/{crawl_id}","title":"Delete a crawl request","href":"/api-reference/crawl/delete-a-crawl-request"}]},{"group":"File","pages":[{"openapi":"post /api/file","title":"Upload File","href":"/api-reference/file/upload-file"},{"openapi":"post /api/file/csv_or_jsonl","title":"Create Presigned CSV/JSONL S3 PUT URL","href":"/api-reference/file/create-presigned-url-for-csv-jsonl"},{"openapi":"post /api/file/html_page","title":"Upload HTML Page","href":"/api-reference/file/upload-html-page"},{"openapi":"get /api/dataset/files/{dataset_id}/{page}","title":"Get Files and Group IDs for Dataset","href":"/api-reference/file/get-files-for-dataset"},{"openapi":"get /api/dataset/scroll_files","title":"Scroll Files with Groups","href":"/api-reference/file/scroll-files"},{"openapi":"get /api/file/{file_id}","title":"Get File with Signed URL","href":"/api-reference/file/get-file"},{"openapi":"delete /api/file/{file_id}","title":"Delete File","href":"/api-reference/file/delete-file"},{"openapi":"get /api/file/{file_id}","title":"Get File with Signed URL","href":"/api-reference/file/get-file-with-signed-url"},{"openapi":"get /api/dataset/files/{dataset_id}/{page}","deprecated":true,"title":"Get Files and Group IDs for Dataset","href":"/api-reference/file/get-files-and-group-ids-for-dataset"},{"openapi":"get /api/dataset/scroll_files","title":"Scroll Files with Groups","href":"/api-reference/file/scroll-files-with-groups"}]},{"group":"Analytics","pages":[{"openapi":"post /api/analytics","title":"Get Analytics","href":"/api-reference/analytics/get-analytics"},{"openapi":"post /api/analytics/events/all","title":"Get All User Events","href":"/api-reference/analytics/get-all-user-events"},{"openapi":"post /api/analytics/events/ctr","title":"Get CTR Analytics","href":"/api-reference/analytics/get-ctr-analytics"},{"openapi":"post /api/analytics/rag","title":"Get RAG Analytics","href":"/api-reference/analytics/get-rag-analytics"},{"openapi":"post /api/analytics/recommendations","title":"Get Recommendation Analytics","href":"/api-reference/analytics/get-recommendation-analytics"},{"openapi":"post /api/analytics/search","title":"Get Search Analytics","href":"/api-reference/analytics/get-search-analytics"},{"openapi":"post /api/analytics/search/cluster","title":"Get Cluster Analytics","href":"/api-reference/analytics/get-cluster-analytics"},{"openapi":"post /api/analytics/events/component","title":"Get Component Analytics","href":"/api-reference/analytics/get-component-analytics"},{"openapi":"post /api/analytics/top","title":"Get Top Datasets","href":"/api-reference/analytics/get-top-datasets"},{"openapi":"put /api/analytics/events","title":"Send User Event Data","href":"/api-reference/analytics/send-user-event-data"},{"openapi":"put /api/analytics/ctr","title":"Send CTR Data","href":"/api-reference/analytics/send-ctr-data"},{"openapi":"put /api/analytics/rag","title":"Rate RAG","href":"/api-reference/analytics/rate-rag"},{"openapi":"put /api/analytics/search","title":"Rate Search","href":"/api-reference/analytics/rate-search"},{"openapi":"get /api/analytics/events/{event_id}","title":"Get User Event By ID","href":"/api-reference/analytics/get-user-event-by-id"}]},{"group":"Experiments","pages":[{"openapi":"post /api/experiment","title":"Create Experiment","href":"/api-reference/experiment/create-experiment"},{"openapi":"post /api/experiment/ab-test","title":"Ab Test","href":"/api-reference/experiment/ab-test"},{"openapi":"put /api/experiment","title":"Update Experiment","href":"/api-reference/experiment/update-experiment"},{"openapi":"delete /api/experiment/{experiment_id}","title":"Delete Experiment","href":"/api-reference/experiment/delete-experiment"},{"title":"Get experiment","href":"/api-reference/experiment/get-experiment"}]},{"group":"Dataset","pages":[{"openapi":"post /api/dataset","title":"Create Dataset","href":"/api-reference/dataset/create-dataset"},{"openapi":"post /api/dataset/batch_create_datasets","title":"Batch Create Datasets","href":"/api-reference/dataset/batch-create-datasets"},{"openapi":"post /api/dataset/get_all_tags","title":"Get All Tags","href":"/api-reference/dataset/get-all-tags"},{"openapi":"post /api/dataset/events","title":"Get events for the dataset","href":"/api-reference/dataset/get-events-for-the-dataset"},{"openapi":"put /api/dataset","title":"Update Dataset by ID or Tracking ID","href":"/api-reference/dataset/update-dataset-by-id-or-tracking-id"},{"openapi":"put /api/dataset/clear/{dataset_id}","title":"Clear Dataset","href":"/api-reference/dataset/clear-dataset"},{"openapi":"get /api/dataset/{dataset_id}","title":"Get Dataset By ID","href":"/api-reference/dataset/get-dataset-by-id"},{"openapi":"get /api/dataset/tracking_id/{tracking_id}","title":"Get Dataset by Tracking ID","href":"/api-reference/dataset/get-dataset-by-tracking-id"},{"openapi":"get /api/dataset/organization/{organization_id}","title":"Get Datasets from Organization","href":"/api-reference/dataset/get-datasets-from-organization"},{"openapi":"post /api/etl/create_job","title":"Create ETL Job","href":"/api-reference/dataset/create-etl-job"},{"openapi":"put /api/dataset/pagefind","title":"Create Pagefind Index for Dataset","href":"/api-reference/dataset/create-pagefind-index-for-dataset"},{"openapi":"get /api/dataset/pagefind","title":"Get Pagefind Index Url for Dataset","href":"/api-reference/dataset/get-pagefind-index-url-for-dataset"},{"openapi":"get /api/dataset/usage/{dataset_id}","title":"Get Usage By Dataset ID","href":"/api-reference/dataset/get-usage-by-dataset-id"},{"openapi":"get /api/dataset/crawl_options/{dataset_id}","title":null,"href":"/api-reference/dataset/get-dataset-crawl-options"},{"openapi":"delete /api/dataset/{dataset_id}","title":"Delete Dataset","href":"/api-reference/dataset/delete-dataset"},{"openapi":"delete /api/dataset/tracking_id/{tracking_id}","title":"Delete Dataset by Tracking ID","href":"/api-reference/dataset/delete-dataset-by-tracking-id"},{"openapi":"post /api/dataset/clone","title":"Clone Dataset","href":"/api-reference/dataset/clone-dataset"},{"openapi":"get /api/dataset/get_dataset_queue_lengths","title":"Get file and chunk creation queue lengths","href":"/api-reference/dataset/get-file-and-chunk-creation-queue-lengths"}]},{"group":"Organization","pages":[{"openapi":"post /api/organization","title":"Create Organization","href":"/api-reference/organization/create-organization"},{"openapi":"post /api/organization/api_key","title":"Create Organization Api Key","href":"/api-reference/organization/create-organization-api-key"},{"openapi":"post /api/organization/update_dataset_configs","title":"Update All Dataset Configurations","href":"/api-reference/organization/update-all-dataset-configurations"},{"openapi":"put /api/organization","title":"Update Organization","href":"/api-reference/organization/update-organization"},{"openapi":"get /api/organization/api_key","title":"Get Organization Api Keys","href":"/api-reference/organization/get-organization-api-keys"},{"openapi":"get /api/organization/usage/{organization_id}","title":null,"href":"/api-reference/organization/get-organization-usage"},{"openapi":"get /api/organization/users/{organization_id}","title":"Get Organization Users","href":"/api-reference/organization/get-organization-users"},{"openapi":"get /api/organization/{organization_id}","title":"Get Organization","href":"/api-reference/organization/get-organization"},{"openapi":"delete /api/organization/{organization_id}","title":"Delete Organization","href":"/api-reference/organization/delete-organization"},{"openapi":"delete /api/organization/api_key/{api_key_id}","title":"Delete Organization Api Key","href":"/api-reference/organization/delete-organization-api-key"}]},{"group":"User","pages":[{"openapi":"put /api/user","title":"Update User Org Role","href":"/api-reference/user/update-user-org-role"},{"openapi":"get /api/user/api_key","title":"Get User Api Keys","href":"/api-reference/user/get-user-api-keys"},{"openapi":"delete /api/user/api_key/{api_key_id}","title":"Delete User Api Key","href":"/api-reference/user/delete-user-api-key"}]},{"group":"Auth","pages":[{"openapi":"get /api/auth","title":"Login","href":"/api-reference/auth/login"},{"openapi":"get /api/auth/callback","title":"OpenID Connect callback","href":"/api-reference/auth/openid-connect-callback"},{"openapi":"get /api/auth/me","title":"Get Me","href":"/api-reference/auth/get-me"},{"openapi":"delete /api/auth","title":"Logout","href":"/api-reference/auth/logout"},{"openapi":"post /api/auth/create_api_only_user","title":null,"href":"/api-reference/auth/post-apiauthcreate_api_only_user"}]},{"group":"Health","pages":[{"openapi":"get /api/health","title":"Health Check","href":"/api-reference/health/health-check"}]},{"group":"Invitation","pages":[{"openapi":"post /api/invitation","title":"Send Invitation","href":"/api-reference/invitation/send-invitation"},{"openapi":"get /api/invitations/{organization_id}","title":"Get Invitations","href":"/api-reference/invitation/get-invitations"},{"openapi":"delete /api/invitation/{invitation_id}","title":"Delete Invitation","href":"/api-reference/invitation/delete-invitation"}]},{"group":"Stripe","pages":[{"openapi":"post /api/stripe/checkout/setup/{organization_id}","title":"Update Payment Method","href":"/api-reference/stripe/create-checkout-session-setup"},{"openapi":"patch /api/stripe/subscription_plan/{subscription_id}/{plan_id}","title":"Update Subscription Plan","href":"/api-reference/stripe/update-subscription-plan"},{"openapi":"get /api/stripe/invoices/{organization_id}","title":"Get All Invoices","href":"/api-reference/stripe/get-all-invoices"},{"openapi":"get /api/stripe/payment_link/{plan_id}/{organization_id}","title":"Checkout","href":"/api-reference/stripe/checkout"},{"openapi":"get /api/stripe/plans","title":"Get All Plans","href":"/api-reference/stripe/get-all-plans"},{"openapi":"delete /api/stripe/subscription/{subscription_id}","title":"Cancel Subscription","href":"/api-reference/stripe/cancel-subscription"},{"openapi":"get /api/stripe/estimate_bill/{plan_id}","title":"Estimate Bill From Range","href":"/api-reference/stripe/estimate-bill-from-range"},{"openapi":"get /api/stripe/usage_plans","title":"Get All Usage Plans","href":"/api-reference/stripe/get-all-usage-plans"},{"openapi":"post /api/stripe/checkout/setup/{organization_id}","title":"Update Payment Method","href":"/api-reference/stripe/update-payment-method"}]},{"group":"Metrics","pages":[{"openapi":"post /metrics","title":"Get Prometheus Metrics","href":"/api-reference/metrics/get-prometheus-metrics"}]},{"group":"Public","pages":[{"openapi":"get /api/public_page/{dataset_id}","title":null,"href":"/api-reference/public/get-apipublic_page"},{"openapi":"post /api/shopify/user_event","title":"Send a Shopify user event","href":"/api-reference/public/send-a-shopify-user-event"}]}]},{"tab":"Vector Inference","pages":[{"title":"Vector Inference","href":"/vector-inference/introduction"}]},{"tab":"SiteSearch AI","pages":[{"title":"SiteSearch AI","href":"/site-search/introduction"}]}]},"basePath":"","title":"Get tool function parameters - Trieve","buildId":"dpl_G9nrg4qeJSZtah1Ziwbc2n6WkLch","deploymentId":"dpl_G9nrg4qeJSZtah1Ziwbc2n6WkLch","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-B7XKH4J3.js","utils-lOYzL7z-.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DF6jUUIM.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Dpsj5f7C.js","snippetPresets-CYeiDe8v.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CUFz1YZ_.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-D8H_iLS4.js","shallow-DdluZBHX.js","getApiPlaygroundDisplay-B9922vev.js","CodeSnippet-CMoRNGYs.js","CodeSnippets-DwyrPHuw.js","Page-DSVu9Ucl.js","getPastedJson-G-zIvlHh.js","icon-B03fnEy0.js","MethodPill-CW7teklc.js","DuplicateIcon-CtO8eekd.js","createIcon-DZTKdM_A.js","DynamicMarkdown-D5M2At0B.js","SectionHeading-C_2NaA2U.js","axios-vUo_bRtp.js","Markdown-D7QRHV3m.js","clsx-D1Z-ELXV.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-lvhuD9Du.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-CKfC4ywL.js"]}